package app.revanced.patches.kakaotalk.chatroom.fingerprints

import app.revanced.patcher.fingerprint
import com.android.tools.smali.dexlib2.AccessFlags

@Suppress("unused")
internal val remove300PlusLimitBaseChatRoomFingerprint = fingerprint {
    accessFlags(AccessFlags.PUBLIC, AccessFlags.FINAL)
    returns("V")
    parameters("Lcom/kakao/talk/widget/ViewBindable;")
    strings("300+")
}

@Suppress("unused")
internal val remove300PlusLimitOpenChatRoomFingerprint = fingerprint {
    accessFlags(AccessFlags.PUBLIC, AccessFlags.FINAL)
    returns("V")
    parameters()
    strings("300+")
}